Modify

Opened 9 years ago

Closed 8 years ago

Last modified 4 years ago

#4487 closed enhancement (fixed)

open2300 package

Reported by: fcastella@… Owned by: nunojpg
Priority: normal Milestone: Backfire 10.03.1
Component: packages Version: Trunk
Keywords: open2300 Cc: kenneth@…

Description

Here is open2300.
(see http://www.lavrsen.dk/twiki/bin/view/Open2300/WebHome)
I built this using the OpenWrt-SDK-Linux-x86_64. So far, I tried it on WhiteRussian.

A patch and the package Makefile are attached...

Attachments (5)

open2300-1.11_wrt.patch (9.4 KB) - added by anonymous 9 years ago.
Makefile (4.1 KB) - added by anonymous 9 years ago.
open2300_1.11_mipsel.ipk (39.4 KB) - added by anonymous 9 years ago.
open2300
Makefile.2 (4.2 KB) - added by anonymous 8 years ago.
open2300_1.11-1.11_mipsel.ipk (211.3 KB) - added by anonymous 8 years ago.

Download all attachments as: .zip

Change History (10)

Changed 9 years ago by anonymous

Changed 9 years ago by anonymous

Changed 9 years ago by anonymous

open2300

Changed 8 years ago by anonymous

Changed 8 years ago by anonymous

comment:1 Changed 8 years ago by anonymous

Makefile.2 (4.2 KB) - added by anonymous
open2300_1.11-1.11_mipsel.ipk (211.3 KB) - added by anonymous

work both with 8.09.1
create /patches ans /src folders, rename Makefile.2 to Makefile

comment:2 Changed 8 years ago by nunojpg

  • Owner changed from developers to nunojpg
  • Status changed from new to accepted
  • Version set to Trunk

comment:3 Changed 8 years ago by nunojpg

  • Milestone set to Backfire 10.03.1
  • Resolution set to fixed
  • Status changed from accepted to closed

Commited with changes on [21115]

1 - General cleanups and put the source to be downloaded from the internet. 360KB of source is not acceptable to be distributed together.

2 - In the package makefile you had this lines commented? Why?
# $(INSTALL_DIR) $(1)/usr/lib
# $(INSTALL_BIN) $(PKG_BUILD_DIR)/lib2300.so.1.11 $(1)/usr/lib/
# ln -sf /usr/lib/lib2300.so.1.11 $(1)/usr/lib/lib2300.so

3 - Only worked once with a weather station - a vaisala - without this fancy computer stuff. No idea how to use this. Please report if the package is functional.

comment:4 Changed 6 years ago by ptictux@…

Hello

I would use the last release of open2300 which now contain mysql2300.c and mysqlhistlog2300.c, but the package install via opkg don't contain this new programs.
Others tools seems ok :-)

# fetch2300 /etc/open2300.conf

Date 2011-Aug-18
Time 18:33:26
Ti 22.9
Timin 16.8
Timax 28.6
TTimin 08:27
DTimin 2011-07-10
TTimax 18:34
DTimax 2011-06-28
To 15.3
Tomin 8.4
Tomax 35.9
TTomin 06:11
DTomin 2011-06-30
TTomax 19:30
DTomax 2011-06-26
DP 14.0
DPmin 1.8
DPmax 18.9
TDPmin 06:30
DDPmin 2011-08-06
TDPmax 11:30
DDPmax 2011-06-26
RHi 65
RHimin 37
RHimax 74
TRHimin 20:02
DRHimin 2011-07-03
TRHimax 18:59
DRHimax 2011-06-20
RHo 92
RHomin 28
RHomax 98
TRHomin 19:16
DRHomin 2011-07-10
TRHomax 08:56
DRHomax 2011-08-14
WS 0.8
DIRtext N
DIR0 0.0
DIR1 45.0
DIR2 45.0
DIR3 22.5
DIR4 0.0
DIR5 225.0
WC 15.3
WCmin 3.9
WCmax 35.9
TWCmin 12:24
DWCmin 2011-06-17
TWCmax 19:30
DWCmax 2011-06-26
WSmin 0.0
WSmax 11.7
TWSmin 19:16
DWSmin 2011-08-18
TWSmax 12:24
DWSmax 2011-06-17
R1h 0.00
R1hmax 11.91
TR1hmax 05:15
DR1hmax 2011-01-04
R24h 0.00
R24hmax 36.26
TR24hmax 16:58
DR24hmax 2011-08-04
Rtot 137.27
TRtot 10:11
DRtot 2011-06-19
RP 1015.300
RPmin 995.500
RPmax 1029.800
TRPmin 15:01
DRPmin 2011-06-17
TRPmax 00:42
DRPmax 2011-08-10
Tendency Rising
Forecast Sunny ==


I also try to build package using OpenWrt-SDK-ar71xx-for-Linux-i686-gcc-4.3.3+cs_uClibc-0.9.30.1, The makefile don't include new program and make failed

If you can help me thx

make[1]: Entering directory `/export/OpenWrt'
make[2]: Entering directory `/export/OpenWrt'
make[3]: Entering directory `/export/OpenWrt/package/open2300'
CFLAGS="-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -msoft-float -I/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/usr/include -I/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/include -I/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/usr/include -I/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/include " CXXFLAGS="-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -msoft-float -I/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/usr/include -I/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/include -I/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/usr/include -I/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/include " LDFLAGS="-L/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/usr/lib -L/export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/lib -L/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/usr/lib -L/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/lib " make -C /export/OpenWrt/build_dir/target-mips_r2_uClibc-0.9.30.1/open2300-/open2300-1.11/. AR=mips-openwrt-linux-uclibc-ar AS="mips-openwrt-linux-uclibc-gcc -c -Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -msoft-float" LD=mips-openwrt-linux-uclibc-ld NM=mips-openwrt-linux-uclibc-nm CC="mips-openwrt-linux-uclibc-gcc" GCC="mips-openwrt-linux-uclibc-gcc" CXX="mips-openwrt-linux-uclibc-g++" RANLIB=mips-openwrt-linux-uclibc-ranlib STRIP=mips-openwrt-linux-uclibc-strip OBJCOPY=mips-openwrt-linux-uclibc-objcopy OBJDUMP=mips-openwrt-linux-uclibc-objdump SIZE=mips-openwrt-linux-uclibc-size CROSS="mips-openwrt-linux-uclibc-" ARCH="mips" ;
make[4]: Entering directory `/export/OpenWrt/build_dir/target-mips_r2_uClibc-0.9.30.1/open2300-/open2300-1.11'
mips-openwrt-linux-uclibc-gcc -c -fPIC -Wall -O3 -DVERSION=\"1.11\" rw2300.c linux2300.c
rw2300.c:1: note: someone does not honour COPTS correctly, passed 0 times
linux2300.c:1: note: someone does not honour COPTS correctly, passed 0 times
mips-openwrt-linux-uclibc-gcc -shared -Wl,-soname,lib2300.so -o lib2300.so.1.11 rw2300.o linux2300.o
/export/OpenWrt/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1/usr/bin/../lib/gcc/mips-openwrt-linux-uclibc/4.3.3/../../../../mips-openwrt-linux-uclibc/bin/ld: cannot find -lgcc_s
collect2: ld returned 1 exit status
make[4]: * [lib2300] Error 1
make[4]: Leaving directory `/export/OpenWrt/build_dir/target-mips_r2_uClibc-0.9.30.1/open2300-/open2300-1.11'
make[3]:
* export/OpenWrt/build_dir/target-mips_r2_uClibc-0.9.30.1/open2300-/open2300-1.11/.built Error 2
make[3]: Leaving directory `/export/OpenWrt/package/open2300'
make[2]: * [package/open2300/compile] Error 2
make[2]: Leaving directory `/export/OpenWrt'
make[1]:
* export/OpenWrt/staging_dir/target-mips_r2_uClibc-0.9.30.1/stamp/.package_compile Error 2
make[1]: Leaving directory `/export/OpenWrt'
make: * [world] Error 2

comment:5 Changed 4 years ago by nunojpg

There was a custom config file but it was not being copied. Please try r39477 or newer.

mysql2300 and mysqlhistlog2300 require mysql support? If so probably they should be a package option and not bundled together.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.